#include <locale.h>
#include "mbprintf.h"

#define COLUMN_INDICATOR "01234567890123456789012345678900123456789012345678901234567890"
#define FORMAT1 
#define ARG1_1 "하하하"
#define ARG1_2 "호호 호호호호"

#define FORMAT2 "%-10d%-10.10s"
#define ARG2_1 1234
#define ARG2_2 "호호 호호호호"

#define PRINT_COLUMN_INDICATOR() printf(COLUMN_INDICATOR"\n");

int
main(int argc, char *argv[])
{
  setlocale(LC_ALL, "");

  PRINT_COLUMN_INDICATOR();
  printf("%10s%-10.10s|\n", "하하하", "호호 호호호호");
  mbprintf("%10s%-10.10s|\n", "하하하", "호호 호호호호");

  PRINT_COLUMN_INDICATOR();
  mbprintf("%-10d%-10.10s|\n", 1234, "호호 호호호호");
  mbprintf("%-10u%-10.10s|\n", 1234, "호호 호호호호");
  mbprintf("%-10ld%-10.10s|\n", 1234L, "호호 호호호호");
  mbprintf("%-10lld%-10.10s|\n", 1234LL, "호호 호호호호");

  PRINT_COLUMN_INDICATOR();
  printf("%*s%-*.*s|\n", 10, "하하하", 10, 10, "호호 호호호호");
  mbprintf("%*s%-*.*s|\n", 10, "하하하", 10, 10, "호호 호호호호");

}
